Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class UserAdmin

    java.lang.Object
      org.wso2.utils.AbstractAdmin
          org.wso2.wsas.admin.service.UserAdmin

    public class UserAdmin

extends org.wso2.utils.AbstractAdmin

Admin service to manage WSO2 WSAS users

Constructor Summary
`UserAdmin()`

Method Summary
`void` | `addAdmin(java.lang.String userName, java.lang.String password)`
`boolean` | `addRole(java.lang.String role, java.lang.String description)`
`java.lang.String` | `addUser(java.lang.String username, java.lang.String password, java.lang.String role, java.lang.String description)`
`void` | `assignRoleToUser(java.lang.String username, java.lang.String role)` Assign a role to an existing user
`boolean` | `changeUserPassword(java.lang.String username, java.lang.String password)`
`java.lang.String` | `deleteRoleCompletely(java.lang.String role)`
`boolean` | `deleteRoleFromUser(java.lang.String username, java.lang.String role)`
`void` | `deleteUser(java.lang.String username)`
`void` | `editAdmin(java.lang.String userName, java.lang.String password)`
`boolean` | `editUserPassword(java.lang.String oldPassword, java.lang.String username, java.lang.String password)`
`boolean` | `editUserRole(java.lang.String username, java.lang.String role)`
`java.lang.String[]` | `getRoleNames()`
`RoleData[]` | `getRoleNamesAndDescriptions()`
`UserData[]` | `getUserNames()`
`java.lang.String[]` | `getUsers()`
`void` | `removeUser(java.lang.String username)`

Methods inherited from class org.wso2.utils.AbstractAdmin
`getAxisConfig, getConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserAdmin

    public UserAdmin()

Method Detail

### addAdmin

    public void addAdmin(java.lang.String userName,
                         java.lang.String password)
                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### editAdmin

    public void editAdmin(java.lang.String userName,
                          java.lang.String password)
                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### editUserPassword

    public boolean editUserPassword(java.lang.String oldPassword,
                                    java.lang.String username,
                                    java.lang.String password)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### changeUserPassword

    public boolean changeUserPassword(java.lang.String username,
                                      java.lang.String password)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editUserRole

    public boolean editUserRole(java.lang.String username,
                                java.lang.String role)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removeUser

    public void removeUser(java.lang.String username)
                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### assignRoleToUser

    public void assignRoleToUser(java.lang.String username,
                                 java.lang.String role)
                          throws org.apache.axis2.AxisFault

  Assign a role to an existing user

  Parameters:
    `username` - The username of the user to whom the role is to be assigned
    `role` - The role to be assigned
  Throws:
    `org.apache.axis2.AxisFault` - If role assignment fails

### addUser

    public java.lang.String addUser(java.lang.String username,
                                    java.lang.String password,
                                    java.lang.String role,
                                    java.lang.String description)
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getUserNames

    public UserData[] getUserNames()
                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getUsers

    public java.lang.String[] getUsers()
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### addRole

    public boolean addRole(java.lang.String role,
                           java.lang.String description)
                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getRoleNames

    public java.lang.String[] getRoleNames()
                                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getRoleNamesAndDescriptions

    public RoleData[] getRoleNamesAndDescriptions()
                                           throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteUser

    public void deleteUser(java.lang.String username)
                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteRoleCompletely

    public java.lang.String deleteRoleCompletely(java.lang.String role)
                                          throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteRoleFromUser

    public boolean deleteRoleFromUser(java.lang.String username,
                                      java.lang.String role)
                               throws org.apache.axis2.AxisFault,
                                      org.wso2.utils.ServerException

  Throws:
    `org.apache.axis2.AxisFault`
    `org.wso2.utils.ServerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD